libgphoto2 photo camera library (libgphoto2) API 2.4.11

- Main Page
- Related Pages
- Data Structures
- Files
- Directories

- Data Structures
- Data Fields

Data Fields
_GPPortSettingsUSB Struct Reference

Port settings for USB ports. More...

`#include <gphoto2-port.h>`

## Data Fields

int | inep
| Bulk IN endpoint used.
int | outep
| Bulk OUT endpoint used.
int | intep
| Interrupt endpoint used.
int | config
| USB bConfigurationValue used.
int | interface
| USB Interface number used.
int | altsetting
| USB Alternative Setting used.
int | maxpacketsize
| Maximum USB packetsize of the IN endpoint. (r/o)
char | port [64]
| USB Portname. Specific to lowlevel USB.

## Detailed Description

Port settings for USB ports.

The documentation for this struct was generated from the following file:

- libgphoto2_port/gphoto2/gphoto2-port.h